View Issue Details

IDProjectCategoryView StatusLast Update
0003542PathBugpublic2020-12-01 17:06
Reportersliptonic Assigned Tosliptonic  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version0.18 
Target Version0.19Fixed in Version0.19 
Summary0003542: Clean up import/export UI
DescriptionThe File open/import/export menus allow GCode as an option.

IMPORT/OPEN
1. opens the selector dialog for the pre-processor
2. Creates a naked path object in the tree

EXPORT
1. opens the dialog to select the post-processor
2. attempts to post whatever object is selected

This is really the wrong way to handle post-processing and is confusing to users
Additional InformationRecommend the following changes.
1. Remove gcode from the File import/export file types.
2. Add import... and export (post process)... menu items to the Path menu
3. export (post-process)... should trigger the current post process behavior
4. import should create a custom object in a Job.

existing export template... item should be left as is.


TagsNo tags attached.
FreeCAD Information

Activities

sliptonic

2020-10-07 18:14

manager   ~0014787

The improved custom (gcode_pre) preprocessor now creates an item in a Path Job.
Export from the main menu has been removed.

Kunda1

2020-10-08 01:14

administrator   ~0014792

@sliptonic any commit(s) associated with this ticket ?

Kunda1

2020-12-01 17:03

administrator   ~0015045

Last edited: 2020-12-01 17:05

View 3 revisions

https://github.com/FreeCAD/FreeCAD/commit/d5edb6ed2a81948e898d1954c302ea5e1ec77411
c:FreeCAD:d5edb6ed2a81948e898d1954c302ea5e1ec77411:
FreeCAD master fbb59ae7

Kunda1

2020-12-01 17:06

administrator   ~0015046

Closing ticket

Related Changesets

FreeCAD: master fbb59ae7

2020-03-16 10:17:32

Eric Trombly

Details Diff
initial work for modifying path of imported gcode Affected Issues
0003542
mod - src/Mod/Path/PathScripts/PathCustom.py Diff File
add - src/Mod/Path/PathScripts/post/gcode_pre.py Diff File

Issue History

Date Modified Username Field Change
2018-07-20 16:19 sliptonic New Issue
2018-07-20 16:19 sliptonic Status new => assigned
2018-07-20 16:19 sliptonic Assigned To => sliptonic
2019-01-22 04:03 sliptonic Target Version 0.18 => 0.19
2020-10-07 18:14 sliptonic Status assigned => resolved
2020-10-07 18:14 sliptonic Resolution open => fixed
2020-10-07 18:14 sliptonic Note Added: 0014787
2020-10-08 01:14 Kunda1 Note Added: 0014792
2020-12-01 17:03 Kunda1 Note Added: 0015045
2020-12-01 17:04 Kunda1 Changeset attached => FreeCAD master fbb59ae7
2020-12-01 17:05 Kunda1 Note Edited: 0015045 View Revisions
2020-12-01 17:05 Kunda1 Note Edited: 0015045 View Revisions
2020-12-01 17:06 Kunda1 Status resolved => closed
2020-12-01 17:06 Kunda1 Fixed in Version => 0.19
2020-12-01 17:06 Kunda1 Note Added: 0015046